## ros-one-gdrive-ros 2.1.31-19jammy.20251023.0802

=== debian/changelog ===
ros-one-gdrive-ros (2.1.31-19jammy.20251023.0802) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 23 Oct 2025 08:02:31 +0000

ros-one-gdrive-ros (2.1.31-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 13 May 2025 00:00:00 -0000

ros-one-gdrive-ros (2.1.30-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 10 May 2025 00:00:00 -0000

ros-one-gdrive-ros (2.1.29-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-gdrive-ros (2.1.28-0jammy) jammy; urgency=high

  * use query with folder + title, instead of list all files then apply filters (#481 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/481>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-gdrive-ros (2.1.27-0jammy) jammy; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-gdrive-ros (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-gdrive-ros (2.1.25-0jammy) jammy; urgency=high

  * gdrive_ros: use virtualenv (#458 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/458>)
    
      * use python3 for pydrive_ros
        latest pydrive requires newer rsa??
      * gdrive_ros: catkin_virtualenv changes mode to 100644
      * gdrive_ros: enable to use relative path for settings_yaml
      * gdrive_ros: use catkin_virtualenv
    
  * [gdrive_ros] fix sys.version error (#429 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/429>)
  * [gdrive_ros] Add ros client library and examples ( for roseus and rospy) (#295 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/295>)
    
      * euslisp directory is installed via 'install(DIRECTORY euslisp', so we can remove 'install(PROGRAMS euslisp/sample-gdrive-ros-client.l'
      * [gdrive_ros] fix module import
      * [gdrive_ros] add rospy client and update examples
      * [gdrive_ros] update CMakeLists.txt to add installation of euslisp and sample
      * [gdrive_ros] Add a roseus client library and sample
      * [gdrive_ros] add gdrive_ros client
    
  * [gdrive_ros] add machine arg in gdrive_server.launch (#288 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/288>)
    
      * add machine arg in gdrive_server.launch
    
  * Contributors: Aoi Nakane, Kei Okada, Koki Shinjo, Naoto Tsukamoto, Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-gdrive-ros (2.1.24-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-gdrive-ros (2.1.23-0jammy) jammy; urgency=high

  * add rostest in test_depend (#263 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/263>)
  * fix-typo-gdrive (#272 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/272>)
  * add version check at top of gdrive_server_node (#270 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/270>)
  * Contributors: Koki Shinjo, Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-gdrive-ros (2.1.22-0jammy) jammy; urgency=high

  * set max authentication trial times as infinite (#249 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/249>)
  * catch ServerNotFoundError in gdrive_server_node.py ((#240 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/240>)
  * update doc links in gdrive_ros (#233 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/233>)
  * [gdrive_ros] add node_name arg in gdrive_server.launch (#234 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/234>)
  * add roslaunch test (#232 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/232>)
  * [gdrive_ros] add argument respawn (#230 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/230>)
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-gdrive-ros (2.1.21-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.20-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.19-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.18-0jammy) jammy; urgency=high

  * [gdrive_ros] Fix gdrive_ros to catch error properly (#205 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/205>)
    
      * fix ros log format in gdrive_ros
      * add oserr when file not found in gdrive_ros
    
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.17-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.16-0jammy) jammy; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.15-0jammy) jammy; urgency=high

  * add gdrive_ros package (#182 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/182>)
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

## ros-one-gdrive-ros 2.1.31-19jammy.20260116.2053

=== debian/changelog ===
ros-one-gdrive-ros (2.1.31-19jammy.20260116.2053) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 16 Jan 2026 20:53:42 +0000

## ros-one-gdrive-ros 2.1.31-19jammy.20260207.2128

=== debian/changelog ===
ros-one-gdrive-ros (2.1.31-19jammy.20260207.2128) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 07 Feb 2026 21:28:46 +0000

## ros-one-gdrive-ros 2.1.31-19jammy.20260220.2200

=== debian/changelog ===
ros-one-gdrive-ros (2.1.31-19jammy.20260220.2200) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 20 Feb 2026 22:00:24 +0000

## ros-one-gdrive-ros 2.1.31-19noble.20251023.0806

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gdrive_ros)

find_package(catkin REQUIRED COMPONENTS
  catkin_virtualenv REQUIRED
  rospy
  message_generation
)

catkin_python_setup()

add_service_files(
  FILES
  Upload.srv
  MultipleUpload.srv
)

generate_messages(
)

catkin_package(
  CATKIN_DEPENDS
  message_runtime
)

if("$ENV{ROS_DISTRO}" STREQUAL "indigo")
file(DOWNLOAD http://curl.haxx.se/ca/cacert.pem ${CMAKE_BINARY_DIR}/cacert.pem)
catkin_generate_virtualenv(
  PYTHON_INTERPRETER python3
  CHECK_VENV FALSE
  # https://stackoverflow.com/questions/25981703/pip-install-fails-with-connection-error-ssl-certificate-verify-failed
  EXTRA_PIP_ARGS -vvv --cert=${CMAKE_BINARY_DIR}/cacert.pem
  )
else()
catkin_generate_virtualenv(
  PYTHON_INTERPRETER python3
  CHECK_VENV FALSE
  )
endif()


catkin_install_python(PROGRAMS node_scripts/gdrive_server_node.py node_scripts/sample_gdrive_rospy_client.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(DIRECTORY sample
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(DIRECTORY euslisp
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/gdrive_server.launch)
endif()

=== requirements.txt ===
PyDrive

=== debian/changelog ===
ros-one-gdrive-ros (2.1.31-19noble.20251023.0806) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 23 Oct 2025 08:06:17 +0000

ros-one-gdrive-ros (2.1.31-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 13 May 2025 00:00:00 -0000

ros-one-gdrive-ros (2.1.30-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 10 May 2025 00:00:00 -0000

ros-one-gdrive-ros (2.1.29-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-gdrive-ros (2.1.28-0noble) noble; urgency=high

  * use query with folder + title, instead of list all files then apply filters (#481 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/481>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-gdrive-ros (2.1.27-0noble) noble; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-gdrive-ros (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-gdrive-ros (2.1.25-0noble) noble; urgency=high

  * gdrive_ros: use virtualenv (#458 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/458>)
    
      * use python3 for pydrive_ros
        latest pydrive requires newer rsa??
      * gdrive_ros: catkin_virtualenv changes mode to 100644
      * gdrive_ros: enable to use relative path for settings_yaml
      * gdrive_ros: use catkin_virtualenv
    
  * [gdrive_ros] fix sys.version error (#429 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/429>)
  * [gdrive_ros] Add ros client library and examples ( for roseus and rospy) (#295 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/295>)
    
      * euslisp directory is installed via 'install(DIRECTORY euslisp', so we can remove 'install(PROGRAMS euslisp/sample-gdrive-ros-client.l'
      * [gdrive_ros] fix module import
      * [gdrive_ros] add rospy client and update examples
      * [gdrive_ros] update CMakeLists.txt to add installation of euslisp and sample
      * [gdrive_ros] Add a roseus client library and sample
      * [gdrive_ros] add gdrive_ros client
    
  * [gdrive_ros] add machine arg in gdrive_server.launch (#288 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/288>)
    
      * add machine arg in gdrive_server.launch
    
  * Contributors: Aoi Nakane, Kei Okada, Koki Shinjo, Naoto Tsukamoto, Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-gdrive-ros (2.1.24-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-gdrive-ros (2.1.23-0noble) noble; urgency=high

  * add rostest in test_depend (#263 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/263>)
  * fix-typo-gdrive (#272 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/272>)
  * add version check at top of gdrive_server_node (#270 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/270>)
  * Contributors: Koki Shinjo, Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-gdrive-ros (2.1.22-0noble) noble; urgency=high

  * set max authentication trial times as infinite (#249 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/249>)
  * catch ServerNotFoundError in gdrive_server_node.py ((#240 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/240>)
  * update doc links in gdrive_ros (#233 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/233>)
  * [gdrive_ros] add node_name arg in gdrive_server.launch (#234 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/234>)
  * add roslaunch test (#232 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/232>)
  * [gdrive_ros] add argument respawn (#230 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/230>)
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-gdrive-ros (2.1.21-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.20-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.19-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.18-0noble) noble; urgency=high

  * [gdrive_ros] Fix gdrive_ros to catch error properly (#205 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/205>)
    
      * fix ros log format in gdrive_ros
      * add oserr when file not found in gdrive_ros
    
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.17-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.16-0noble) noble; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-gdrive-ros (2.1.15-0noble) noble; urgency=high

  * add gdrive_ros package (#182 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/182>)
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

=== debian/control ===
Source: ros-one-gdrive-ros
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-catkin-virtualenv, ros-one-message-generation, ros-one-rospy
Homepage: http://ros.org/wiki/gdrive_ros
Standards-Version: 3.9.2

Package: ros-one-gdrive-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-runtime, ros-one-rospy
Description: Google drive upload and download package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-gdrive-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-gdrive-ros 2.1.31-19noble.20260116.2053

=== debian/changelog ===
ros-one-gdrive-ros (2.1.31-19noble.20260116.2053) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 16 Jan 2026 20:53:16 +0000

## ros-one-gdrive-ros 2.1.31-19noble.20260207.2131

=== debian/changelog ===
ros-one-gdrive-ros (2.1.31-19noble.20260207.2131) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 07 Feb 2026 21:31:15 +0000

## ros-one-gdrive-ros 2.1.31-19noble.20260220.2209

=== debian/changelog ===
ros-one-gdrive-ros (2.1.31-19noble.20260220.2209) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 20 Feb 2026 22:09:41 +0000
